package vdef_globals;

use strict;
use warnings;


BEGIN {
    use Exporter   ();
    our ($VERSION, @ISA, @EXPORT, @EXPORT_OK, %EXPORT_TAGS);

    # set the version for version checking
    $VERSION     = 1.00;

    @ISA         = qw(Exporter);
    @EXPORT      = qw(&readpw);
    %EXPORT_TAGS = ( );

    @EXPORT_OK   = qw($db_hostname $db_database $db_user $db_datasource
                   $postmaster
		   $mail_home_prefix $mail_uid $mail_gid
		   $domain_uid $domain_gid);
}
our @EXPORT_OK;

# exported package globals go here
our( $db_hostname, $db_database, $db_user, $db_datasource );
our( $postmaster );
our( $mail_home_prefix, $mail_uid, $mail_gid );
our( $domain_uid, $domain_gid );

# Change this variables:

$db_hostname = "localhost";
$db_database = "maildb";
$db_user     = "mail";
$db_datasource = "DBI:mysql:database=" . $db_database . 
                 ";host=" . $db_hostname;

$postmaster  = 'postmaster@example.com';
$mail_home_prefix = "/usr/local/vdomains";
$mail_uid    = getpwnam("mail");
$mail_gid    = getgrnam("mail");
$domain_uid  = getpwnam("www-data");
$domain_gid  = getgrnam("www-data");


# make all your functions, whether exported or not;
# remember to put something interesting in the {} stubs

sub readpw()
{
   my $dbpass;
   system "stty -echo";
   print "Insert your database passwd: ";
   chomp ($dbpass=<STDIN>);
   print"\n";
   system"stty echo";
   return $dbpass;
}

END { }       # module clean-up code here (global destructor)



